Search and trigger marketing journeys. Supports searching journeys, triggering a journey synchronously by channel type and ID, triggering asynchronously for an existing unified profile, triggering for multiple profiles, and creating or resolving a universal profile before triggering.
Security
bearerAuth and apiKeyAuth
- Production Serverhttps://api3.sprinklr.com/prod/api/v3/marketingJourney/search
- Mock serverhttps://developer.sprinklr.com/_mock/apis/sprinklr-v3/marketingJourney/search
curl -i -X POST \
https://api3.sprinklr.com/prod/api/v3/marketingJourney/search \
-H 'Authorization: Bearer <YOUR_Token_HERE>' \
-H 'Content-Type: application/json' \
-H 'Key: YOUR_API_KEY_HERE' \
-d '{
"filters": [
{
"displayName": "string",
"isCompoundFilter": true,
"negativeFilter": true,
"filterType": "FILTER",
"field": "string",
"values": [
{}
],
"accessibleValues": [
{}
],
"userFilter": true,
"allValuesAllowed": true,
"lockedWithValues": true,
"hidden": true,
"favourite": true,
"mandatory": true,
"locked": true,
"ignoreAddingToDimensionFilter": true,
"disabled": true,
"details": {
"property1": {},
"property2": {}
},
"filters": [
{}
],
"advancedFilters": [
{
"filter": "string",
"fieldInfo": {
"property1": {
"name": "string",
"label": "string",
"type": "LONG",
"fieldType": "string",
"header": "string"
},
"property2": {
"name": "string",
"label": "string",
"type": "LONG",
"fieldType": "string",
"header": "string"
}
},
"valueInfo": {
"property1": {},
"property2": {}
},
"type": "POST",
"field": "string",
"details": {
"property1": {},
"property2": {}
},
"label": "string",
"value": "string",
"additional": {
"property1": {},
"property2": {}
}
}
]
}
],
"sorts": [
{
"type": "string",
"key": "string",
"order": "string",
"additional": {
"property1": {},
"property2": {}
},
"postProjectionSort": {}
}
],
"query": "string",
"order": "string",
"page": {
"page": 0,
"size": 0,
"skip": 0,
"cursor": "string"
},
"additional": {
"property1": "string",
"property2": "string"
},
"showDeleted": true
}'Response
{ "data": {}, "errors": [ { … } ], "metadata": {} }